
#ifndef ROOT_TAttFill
#define ROOT_TAttFill

// Copyright (C) 1994 CodeCERN. All rights reserved.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttFill                                                             //
//                                                                      //
// Fill area attributes.                                                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,Gtypes.
#include "Gtypes.h"
//*KEND.
#endif


class TAttFill {

protected:
        Color_t    fFillColor;           //fill area color
        Style_t    fFillStyle;           //fill area style

public:
        TAttFill();
        TAttFill(Color_t fcolor,Style_t fstyle);
        virtual ~TAttFill();
                void     Copy(TAttFill &attfill);
        Color_t          GetFillColor() {return fFillColor;}
        Style_t          GetFillStyle() {return fFillStyle;}
        virtual void     Modify();
        virtual void     Reset(Option_t *option="");
        virtual void     SaveFillAttributes(ofstream &out, const Text_t *name, Int_t coldef=1, Int_t stydef=1001);
        virtual void     SetFillAttributes(); // *MENU*
        virtual void     SetFillColor(Color_t fcolor) { fFillColor = fcolor;}
        virtual void     SetFillStyle(Style_t fstyle) { fFillStyle = fstyle;}

        ClassDef(TAttFill,1)  //Fill area attributes
};

#endif

