
#ifndef ROOT_TAttPad
#define ROOT_TAttPad

// Copyright (C) 1994 CodeCERN. All rights reserved.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttPad                                                              //
//                                                                      //
// Pad attributes.                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,Gtypes.
#include "Gtypes.h"
//*KEND.
#endif

#ifndef ROOT_Htypes
//*KEEP,Htypes.
#include "Htypes.h"
//*KEND.
#endif


class TAttPad {
protected:
        Coord_t     fLeftMargin;      //LeftMargin
        Coord_t     fRightMargin;     //RightMargin
        Coord_t     fBottomMargin;    //BottomMargin
        Coord_t     fTopMargin;       //TopMargin
        Coord_t     fXfile;           //X position where to draw the file name
        Coord_t     fYfile;           //X position where to draw the file name
        Coord_t     fAfile;           //Alignment for the file name
        Coord_t     fXstat;           //X position where to draw the statistics
        Coord_t     fYstat;           //X position where to draw the statistics
        Coord_t     fAstat;           //Alignment for the statistics

public:
        TAttPad();
        virtual ~TAttPad();
        virtual void     Copy(TAttPad &attpad);
        Coord_t          GetBottomMargin() { return fBottomMargin;}
        Coord_t          GetLeftMargin() { return fLeftMargin;}
        Coord_t          GetRightMargin() { return fRightMargin;}
        Coord_t          GetTopMargin() { return fTopMargin;}
        Coord_t          GetAfile() { return fAfile;}
        Coord_t          GetXfile() { return fXfile;}
        Coord_t          GetYfile() { return fYfile;}
        Coord_t          GetAstat() { return fAstat;}
        Coord_t          GetXstat() { return fXstat;}
        Coord_t          GetYstat() { return fYstat;}
        virtual void     Print(Option_t *option="");
        virtual void     Reset(Option_t *option="");
        virtual void     SetBottomMargin(Coord_t bottommargin);
        virtual void     SetLeftMargin(Coord_t leftmargin);
        virtual void     SetRightMargin(Coord_t rightmargin);
        virtual void     SetTopMargin(Coord_t topmargin);
        virtual void     SetAfile(Coord_t afile) { fAfile=afile;}
        virtual void     SetXfile(Coord_t xfile) { fXfile=xfile;}
        virtual void     SetYfile(Coord_t yfile) { fYfile=yfile;}
        virtual void     SetAstat(Coord_t astat) { fAstat=astat;}
        virtual void     SetXstat(Coord_t xstat) { fXstat=xstat;}
        virtual void     SetYstat(Coord_t ystat) { fYstat=ystat;}

        ClassDef(TAttPad,1)  //Pad attributes
};

#endif

