
#ifndef ROOT_TCONS
#define ROOT_TCONS

// Copyright (C) 1995 CodeCERN. All rights reserved.

////////////////////////////////////////////////////////////////////////////
//                                                                        //
// TCONS                                                                  //
//                                                                        //
// CONS is a phi segment of a conical tube. It has 7 parameters, the half //
// the same 5 as a CONE plus the phi limits                               //
//                                                                        //
////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TTUBS
//*KEEP,TTUBS.
#include "TTUBS.h"
//*KEND.
#endif

class TCONS : public TTUBS {

    protected:
        Float_t fRmin2;        // inside radius at the high z limit
        Float_t fRmax2;        // outside radius at the high z limit

    public:
        TCONS();
        TCONS(Text_t *name, Text_t *title, Text_t *material, Float_t rmin1, Float_t rmax1,
              Float_t rmin2, Float_t rmax2, Float_t dz, Float_t phi1,
              Float_t phi2);
        virtual ~TCONS();

        virtual void    SetPoints(Float_t *buff);

        ClassDef(TCONS,1)  //CONS shape
};

#endif
