
#ifndef ROOT_TFitPanel
#define ROOT_TFitPanel

// Copyright (C) 1996 CodeCERN. All rights reserved.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TFitPanel                                                            //
//                                                                      //
// Class used to control histograms fit panel                           //
//                                                                      //
//////////////////////////////////////////////////////////////////////////



#ifndef ROOT_TDialogCanvas
//*KEEP,TDialogCanvas,T=C++.
#include "TDialogCanvas.h"
//*KEND.
#endif

class TSlider;
class TH1;

class TFitPanel : public TDialogCanvas {

protected:
        TString     fOption;     //Fitting options
        TString     fFunction;   //Function to fit
        TString     fSame;       //graphics option to superimpose new fit on existing picture
        TSlider     *fSlider;    //Pointer to fitpanel slider
        TObject     *fObjectFit; //Pointer to object to fit

public:
        TFitPanel();
        TFitPanel(Text_t *name, Text_t *title, UInt_t ww=300, UInt_t wh=400);
        virtual ~TFitPanel();
        virtual void  AddOption(Option_t *option);
        virtual void  Apply(Text_t *action="");
        virtual void  BuildStandardButtons();
        virtual void  ExecuteEvent(Int_t event, Int_t px, Int_t py);
        TObject       *GetObjectFit() {return fObjectFit;}
        virtual void  SavePrimitive(ofstream &out, Option_t *option);
        virtual void  SetDefaults();
        virtual void  SetFunction(Text_t *function);
        virtual void  SetSame();

        ClassDef(TFitPanel,1)  //Class used to control histograms fit panel
};

#endif

