
// Copyright (C) 1995 CodeCERN. All rights reserved.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TMaterial                                                            //
//                                                                      //
// Materials used in the Geometry Shapes                                //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TMaterial
#define ROOT_TMaterial

#ifndef ROOT_TNamed
//*KEEP,TNamed.
#include "TNamed.h"
//*KEND.
#endif
#ifndef ROOT_TAttFill
//*KEEP,TAttFill.
#include "TAttFill.h"
//*KEND.
#endif

class TMaterial  : public TNamed, public TAttFill {
 protected:
   Int_t        fNumber;      //Material matrix number
   Float_t      fA;           //A of Material
   Float_t      fZ;           //Z of Material
   Float_t      fDensity;     //Material density in gr/cm3

 public:
        TMaterial();
        TMaterial(Text_t *name, Text_t *title, Float_t a, Float_t z, Float_t density);
        virtual ~TMaterial();
        virtual Int_t     GetNumber() {return fNumber;}
        virtual Float_t   GetA() {return fA;}
        virtual Float_t   GetZ() {return fZ;}
        virtual Float_t   GetDensity() {return fDensity;}

        ClassDef(TMaterial,2)  //Materials used in the Geometry Shapes
};

#endif
