
#ifndef ROOT_TRandom
#define ROOT_TRandom

// Copyright (C) 1995 CodeCERN. All rights reserved.


//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TRandom                                                              //
//                                                                      //
// Simple prototype random number generator class.                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNamed
//*KEEP,TNamed.
#include "TNamed.h"
//*KEND.
#endif

class TRandom : public TNamed {

protected:
   UInt_t   fSeed;  //Random number generator seed

public:
   TRandom();
   virtual ~TRandom();
   virtual  Float_t  Gaus(Float_t mean=0, Float_t sigma=1);
   virtual  UInt_t   GetSeed() {return fSeed;}
   virtual  void     Rannor(Float_t &a, Float_t &b);
   virtual  void     SetSeed(UInt_t seed=65539) {fSeed=seed;}
   virtual  Float_t  Rndm(Int_t i=0);

   ClassDef(TRandom,1)  //Simple prototype random number generator class
};

EXTERN TRandom *gRandom;

#endif
