
#ifndef ROOT_rootdp
#define ROOT_rootdp

// Copyright (C) 1997 CodeCERN. All rights reserved.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// rootdp                                                               //
//                                                                      //
// This header file contains private definitions and declarations       //
// used by rootd.                                                       //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

//*KEEP,Varargs.
#include "Varargs.h"
//*KEEP,MessageTypes,T=C++.
#include "MessageTypes.h"
//*KEEP,rootd,T=C++.
#include "rootd.h"
//*KEND.

extern int  gInetdFlag;
extern int  gPort;
extern int  gDebug;
extern int  gSockFd;
extern int  gAuth;
extern int  gFd;
extern char gFile[];
extern char gOption[];

extern int  gBytesRead;
extern int  gBytesWritten;
extern int  gBytesSent;
extern int  gBytesRecv;


void DaemonStart(int ignsigcld);

void ErrorInit(const char *ident);
void ErrorInfo(const char *va_(fmt), ...);
void ErrorSys(ERootdErrors code, const char *va_(fmt), ...);
void ErrorFatal(ERootdErrors code, const char *va_(fmt), ...);

void NetInit(const char *service, int port);
int  NetOpen(int inetdflag);
void NetClose();
void NetSetOptions();
int  NetSendRaw(const void *buf, int len);
int  NetSend(const void *buf, int len, EMessageTypes kind);
int  NetSend(int code, EMessageTypes kind);
int  NetSend(const char *msg, EMessageTypes kind);
int  NetSendAck();
int  NetSendError(ERootdErrors err);
int  NetRecvRaw(void *buf, int len);
int  NetRecv(void *&buf, int &len, EMessageTypes &kind);
int  NetRecv(char *msg, int len, EMessageTypes &kind);

void RootdClose();
int  RootdIsOpen();

#endif
